SoDepthBufferElement(3)

NAME
SoDepthBufferElement - The SoDepthBufferElement controls the depth buffer settings.

SYNOPSIS

#include <Inventor/elements/SoDepthBufferElement.h>

Inherits SoElement.

Inherited by SoGLDepthBufferElement.

  Public Types
enum DepthWriteFunction { NEVER, ALWAYS, LESS, LEQUAL, EQUAL, GEQUAL, GREATER, NOTEQUAL }

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range)
static void get (SoState *state, SbBool &test_out, SbBool &write_out, DepthWriteFunction &function_out, SbVec2f &range_out)
static SbBool getTestEnable (SoState *state)
static SbBool getWriteEnable (SoState *state)
static DepthWriteFunction getFunction (SoState *state)
static SbVec2f getRange (SoState *state)

  Protected Member Functions
virtual ~SoDepthBufferElement ()
virtual void setElt (SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range)

  Protected Attributes
SbBool test
SbBool write
DepthWriteFunction function
SbVec2f range

  Additional Inherited Members

Detailed Description

The SoDepthBufferElement controls the depth buffer settings. Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 3.0

Constructor & Destructor Documentation

  SoDepthBufferElement::~SoDepthBufferElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  static SoType SoDepthBufferElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

This static method returns the class type.

  static int SoDepthBufferElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

This static method returns the state stack index for the class.

  void * SoDepthBufferElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoDepthBufferElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoDepthBufferElement::set (SoState * state, SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range) [static]
Set this element's values.

  void SoDepthBufferElement::get (SoState * state, SbBool & test_out, SbBool & write_out, DepthWriteFunction & function_out, SbVec2f & range_out) [static]
Fetches this element's values.

  SbBool SoDepthBufferElement::getTestEnable (SoState * state) [static]
Returns the depth test enabled state.

  SbBool SoDepthBufferElement::getWriteEnable (SoState * state) [static]
Returns the depth buffer write enabled state.

  SoDepthBufferElement::DepthWriteFunction SoDepthBufferElement::getFunction (SoState * state) [static]
Returns the set depth buffer write function.

  SbVec2f SoDepthBufferElement::getRange (SoState * state) [static]
Returns the depth buffer value range used.

  void SoDepthBufferElement::init (SoState * state) [virtual]
Internal Coin method.

Reimplemented from SoElement.

Reimplemented in SoGLDepthBufferElement.

  void SoDepthBufferElement::push (SoState * state) [virtual]
Internal Coin method.

Reimplemented from SoElement.

Reimplemented in SoGLDepthBufferElement.

  void SoDepthBufferElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
Internal Coin method.

Reimplemented from SoElement.

Reimplemented in SoGLDepthBufferElement.

  SbBool SoDepthBufferElement::matches (const SoElement * element) const [virtual]
Internal Coin method.

Implements SoElement.

  SoElement * SoDepthBufferElement::copyMatchInfo (void) const [virtual]
Internal Coin method.

Implements SoElement.

  void SoDepthBufferElement::setElt (SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range) [protected], [virtual]
Virtual method to set the state to get derived elements updated.

Reimplemented in SoGLDepthBufferElement.

Author

Generated automatically by Doxygen for Coin from the source code.